#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
@File    :   login_page_locator.py
@Time    :   2024/11/06 16:02:19
@Author  :   dulip3ng 
@Version :   1.0
@Desc    :   None
'''

class LoginPageLocator:

    BLANK_LOC = "//div[@id = 'divTitle']"
    DB_LOC = "//div[@id='datacenter_ct']/span[1]/span/span[2]/span"
    USERNAME_LOC = "//input[@id = 'user']"
    PASSWORD_LOC = "//input[@id = 'password']"
    LOGIN_BUTTON_LOC = "//button[@id='btnLogin']"
    ACTIVE_TAB_LOC = "//div[@id='divLogin']//div[@class = 'boxtitle active']/span"
    DATA_CENTER_ARROW_DOWN_LOC = "//div[@id='datacenter_ct']//span[@class='k-select']/span"
    DB_SELECT_ITEM_ARGS_LOC = "//div[@class = 'k-animation-container' and contains(@style, 'display: block')]//li/span[contains(text(),'%s')]"
    USER_ONLINE_ALTER_OK_LOC = "//a[text() = '确认' ]"
    