#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
@File    :   push_page_locator.py
@Time    :   2024/11/28 16:21:19
@Author  :   dulip3ng
@Version :   1.0
@Desc    :   None
'''

class PushPageLocator:

    BILL_ARGSLOC = "//div[@dfrom='childFormCt']/div/div[contains(@style,'display:inline-block')]/div/div[substring(@data-kdid,string-length(@data-kdid)-16)='BILLCONTROLS_fill']/descendant::label[text()='%s']/parent::div/label";
    CONVERT_RULE_LOC = "//body/div[@class = 'k-widget k-window']//div[contains(@data-kdid, '-BILLCONTROLS_bottom')]//table[contains(@id, '-FTABLELAYOUT_table')]//span[@title = '转换规则' and not(contains(@style, 'overflow: hidden'))]/../following-sibling::div[1]";
    BILL_TYPE_LOC = "//body/div[@class = 'k-widget k-window']//div[contains(@data-kdid, '-BILLCONTROLS_bottom')]//table[contains(@id, '-FTABLELAYOUT_table')]//span[@title = '单据类型' and not(contains(@style, 'overflow: hidden'))]/../following-sibling::div[1]";
    TARGET_ORG_LOC = "//body/div[@class = 'k-widget k-window']//div[contains(@data-kdid, '-BILLCONTROLS_bottom')]//table[contains(@id, '-FTABLELAYOUT_table')]//span[@title = '目标组织' and not(contains(@style, 'overflow: hidden'))]/../following-sibling::div[1]";
    OK_BUTTON_LOC = "//div[@dfrom='childFormCt']/div/div[contains(@style,'display:inline-block')]/div/div[substring(@data-kdid,string-length(@data-kdid)-18)='BILLCONTROLS_bottom']/descendant::a[text()='确定']";
    SELECT_ITEM_ARGS_LOC = "//div[@class = 'k-animation-container' and contains(@style, 'display: block')]/div/div[2]/ul/li/span[text() = '%s']";