#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
@File    :   condition_row.py
@Time    :   2024/11/21 16:42:00
@Author  :   dulip3ng
@Version :   1.0
@Desc    :   None
'''
import typing
from dataclasses import dataclass


@dataclass
class ConditionRow:

    row: int
    condition_name: str
    condition_value: typing.Optional[str] = None
    operator: typing.Optional[str] = None
    logic: typing.Optional[str] = None
